package org.apache.maven.doxia.macro.manager;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.apache.maven.doxia.macro.Macro;

/**
 * Handles MacroManager lookups.
 *
 * @author <a href="mailto:jason@maven.org">Jason van Zyl</a>
 * @version $Id: MacroManager.java 746978 2009-02-23 12:20:33Z vsiveton $
 * @since 1.0
 */
public interface MacroManager
{
    /** The Plexus lookup role. */
    String ROLE = MacroManager.class.getName();

    /**
     * Returns the MacroManager that corresponds to the given id.
     *
     * @param id The identifier.
     * @return The corresponding MacroManager.
     * @throws org.apache.maven.doxia.macro.manager.MacroNotFoundException if no MacroManager could be found
     * for the given id.
     */
    Macro getMacro( String id )
        throws MacroNotFoundException;

}
