package org.apache.maven.doxia.module.rtf;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import java.io.IOException;
import java.io.OutputStream;

import org.apache.maven.doxia.sink.AbstractBinarySinkFactory;
import org.apache.maven.doxia.sink.Sink;

/**
 * Rtf implementation of the Sink factory.
 *
 * @author <a href="mailto:vincent.siveton@gmail.com">Vincent Siveton</a>
 * @version $Id: RtfSinkFactory.java 712516 2008-11-09 17:04:22Z hboutemy $
 * @since 1.0
 * @plexus.component role="org.apache.maven.doxia.sink.SinkFactory" role-hint="rtf"
 */
public class RtfSinkFactory
    extends AbstractBinarySinkFactory
{
    /** {@inheritDoc} */
    public Sink createSink( OutputStream out, String encoding )
        throws IOException
    {
        return new RtfSink( out, encoding );
    }
}
